#!/bin/bash
# Gestion des fichiers Pure Data de Chimères Orchestra de 3 ordinateurs Raspberry Pi
# À partir d'un autre ordinateur
# Connection via le réseau en sans-fil (wlan0 ou wlan2). Le changer si besoin à la ligne 9.


# Commandes : ssh1, ssh2, ssh3, start, kill, reboot, rm, cp

arg="$1";

# COMMANDS
if [ $arg == "ssh1" ]
then
	ssh pi@192.168.0.100;
fi

if [ $arg == "ssh2" ]
then
	ssh pi@192.168.0.102;
fi

if [ $arg == "reboot" ]
then
	ssh pi@192.168.0.100 'sudo reboot'; ssh pi@192.168.0.102 'sudo reboot';
fi

if [ $arg == "kill" ]
then
	ssh pi@192.168.0.100 'killall pd-extended'; ssh pi@192.168.0.102 'killall pd-extended';
fi

if [ $arg == "start" ]
then
	ssh pi@192.168.0.100 'pd-extended';ssh pi@192.168.0.102 'pd-extended';
fi

if [ $arg == "rm" ]
then
	ssh pi@192.168.0.100 'rm -rf /home/pi/chimeres-pd'; ssh pi@192.168.0.102 'rm -rf /home/pi/chimeres-pd';
fi

if [ $arg == "cp" ]
then
	scp -r ~/Bureau/chimeres-pd pi@192.168.0.100:/home/pi; scp -r ~/Bureau/chimeres-pd pi@192.168.0.102:/home/pi;
fi
